﻿namespace domain.Models
{
    public class UserLocalEnity : IEquatable<UserLocalEnity>
    {
        // Уникальный идентификатор пользователя.
        public Guid Guid { get; set; }
        
        // Полное имя пользователя.
        public required string FIO { get; set; }

        // Идентификатор группы, к которой принадлежит пользователь.
        public required int GroupID { get; set; }
        public GroupLocalEntity Group { get; set; }

        // Реализация сравнения для проверки равенства пользователей по их Guid.
        public bool Equals(UserLocalEnity? other)
        {
            if (other == null) return false;
            return this.Guid.Equals(other.Guid);
        }
    }
}