﻿// Сводка посещаемости группы.
public class GroupPresenceSummary
{
    // Общее количество пользователей в группе.
    public int UserCount { get; set; }

    // Общее количество уроков.
    public int LessonCount { get; set; }

    // Общий процент посещаемости группы.
    public double TotalAttendancePercentage { get; set; }

    // Список индивидуальных посещаемостей пользователей.
    public List<UserAttendance> UserAttendances { get; set; } = new List<UserAttendance>();
}

// Посещаемость конкретного пользователя
public class UserAttendance
{
    // Уникальный идентификатор пользователя
    public Guid UserGuid { get; set; }

    // Количество посещенных уроков
    public double Attended { get; set; }

    // Количество пропущенных уроков
    public double Missed { get; set; }

    // Процент посещаемости (посещенные/общее число уроков)
    public double AttendanceRate { get; set; }
}
