﻿using domain.Models;
using data.RemoteData.DAO;

namespace data.Repository
{
    public interface IGroupRepository
    {
        // Метод для получения группы по идентификатору.
        GroupLocalEntity GetGroupById(int groupID);
        
        // Метод для получения всех групп.
        List<GroupLocalEntity> GetAllGroup();

        // Метод для добавления новой группы.
        int AddGroup(GroupDao newGroup);

        // Метод для обновления группы по идентификатору.
        bool UpdateGroupById(int groupID, GroupLocalEntity updatedGroup);
        
        // Метод для удаления группы по идентификатору.
        bool RemoveGroupById(int groupID);

        // Метод для получения группы со студентами.
        public List<GroupDao> GetAllGroupWithStident();

        // Метод для удаления всех студентов из группы.
        void RemoveAllStudentsFromGroup(int groupId);

        // Метод для добавления студента в группу.
        void AddStudentToGroup(int groupId, UserDao student);





    }
}