using data.RemoteData;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddControllers();
builder.Services.AddDbContext<RemoteDatabaseContext>();

builder.Services.ConfigurateAdminPanel();
builder.Services.ConfigurateRepositories();

builder.Services.ConfigurateGroup();
builder.Services.ConfigurateUser();
builder.Services.ConfiguratePresence();

builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseHttpsRedirection();
app.MapControllers();

app.Run();
